Subject: Re: Interpreting /proc/meminfo. How much free memory do I have?

From: Roger Larsson <[email-masked]>
Date: Mon, 27 Mar 2006 08:53:10 +0100

On m=E5ndag 27 mars 2006 08.49, antonio.dibacco wrote:
> Hi,
>
> I'm a little bit puzzled with the fields in /proc/meminfo. Which fields
> have I to sum up to get the amount of free memory?

=46rom a 2.6 /proc/meminfo

MemTotal:       515532 kB
MemFree:          6012 kB
Buffers:         79964 kB
Cached:          83264 kB
SwapCached:      82840 kB
Active:         294024 kB
Inactive:       130304 kB
=2D - -

Completely free is only MemFree. But those pages are only needed for
interrupt handlers (close enough).

Cached pages are also free but since they contain data that maybe will
be needed again (unmodified data that already is on disk) they are not
returned to MemFree state.

Inactive pages has not been in use for awhile and can be written out
if needed (some are probably unmodified and quick to get)

/RogerL